happstack-server-7.0.3: Web related tools and services.

Safe Haskell | None

Happstack.Server.Internal.Socket

Synopsis

- acceptLite :: Socket -> IO (Socket, HostName, PortNumber)
- sockAddrToHostName :: SockAddr -> HostName

# Documentation

acceptLite :: Socket -> IO (Socket, HostName, PortNumber)

alternative implementation of accept to work around EAI_AGAIN errors

sockAddrToHostName :: SockAddr -> HostName